# eric4.E4XML.MultiProjectWriter

Module implementing the writer class for writing an XML multi project file.

### Global Attributes

None

### Classes

MultiProjectWriter | Class implementing the writer class for writing an XML project file.

### Functions

None

## MultiProjectWriter

Class implementing the writer class for writing an XML project file.

### Derived from

XMLWriterBase

### Class Attributes

None

### Methods

MultiProjectWriter | Constructor
writeXML | Public method to write the XML to the file.

#### MultiProjectWriter (Constructor)

MultiProjectWriter(multiProject, file, multiProjectName)

Constructor

multiProject
  Reference to the multi project object
file
  open file (like) object for writing
projectName
  name of the project (string)

#### MultiProjectWriter.writeXML

writeXML()

Public method to write the XML to the file.

Up